<div class="container">
  <div class="row justify-content-center">
    <div class="col-10">
      <%= render 'shared/errors', obj: @user %>
      <%= form_with(model: @user, class: "shadow p-3 mb-3 bg-info rounded", local: true) do |f| %>
        <div class="form-group row">
          <%= f.label :username, class: "col-2 col-form-label text-light" %>
          <div class="col-10">
            <%= f.text_field :username, class: "form-control shadow rounded", placeholder: "Ingrese un nombre de usuario" %>
          </div>
        </div>

        <div class="form-group row">
          <%= f.label :email, class: "col-2 col-form-label text-light" %>
          <div class="col-10"> 
            <%= f.email_field :email, class: "form-control shadow rounded", placeholder: "Ingrese un email" %>
          </div>
        </div>

        <div class="form-group row">
            <%= f.label :password, class: "col-2 col-form-label text-light" %>
            <div class="col-10"> 
                <%= f.password_field :password, class: "form-control shadow rounded", placeholder: "Ingrese una password" %>
            </div>
        </div>

        <div class="form-group row justify-content-center">
          <%= f.submit "Sign Up", class: "btn btn-outline-light btn-lg" %>
        </div>
      <% end %>
    </div>
   
  </div>
</div>